// TEMPORARY DATA SPACES TO USE FOR POST VERB

import { DataSpaceModel } from '../app/models/interfaces/data-space/data-space.interface';
import { NodeType } from '../app/models/enums/data-space/node-type.enum';
import { CategoryType } from '../app/models/enums/data-space/category-type.enum';
import { ComponentType } from '../app/models/enums/data-space/component-type.enum';
import { DataSpaceStatus } from '../app/models/enums/data-space/data-space-status.enum';

// 3 NODES DATA SPACE 'MVDS'
export const POST_DS_3nodes: DataSpaceModel = {
  nodeList: [
    {
      id: null,
      name: 'A governance node title...',
      type: 'GOVERNANCE' as NodeType,
      categoryList: [
        {
          id: null,
          type: 'AGENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'IAA_LOCAL' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'LOGGING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'CONSENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'MONITORING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'REPORTING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'CONTRACT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'DISCOVERY' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'IDP' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'VOCABULARY' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'REGISTRY' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'SUPPORT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
      ],
    },
    {
      id: null,
      type: 'DATA_PROVIDER' as NodeType,
      name: 'A data provider node title...',
      categoryList: [
        {
          id: null,
          type: 'AGENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'SD_TOOLING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'DATA_SERVICE' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
      ],
    },
    {
      id: null,
      type: 'CONSUMER' as NodeType,
      name: 'A consumer node title...',
      categoryList: [
        {
          id: null,
          type: 'AGENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
      ],
    },
  ],
  name: '3 Nodes Data Space',
  description: 'Lorem Ipsum...',
  tagList: ['Complete'],
  user: {
    username: '',
    email: '',
    name: '',
  },
  id: 0,
  status: DataSpaceStatus.RUNNING,
  debug: true,
};

// 4 NODES DATA SPACE 'MVDS'
export const POST_DS_4nodes: DataSpaceModel = {
  nodeList: [
    {
      id: null,
      name: 'A governance node title...',
      type: 'GOVERNANCE' as NodeType,
      categoryList: [
        {
          id: null,
          type: 'AGENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'IAA_LOCAL' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'LOGGING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'CONSENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'MONITORING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'REPORTING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'CONTRACT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'DISCOVERY' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'IDP' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'VOCABULARY' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'REGISTRY' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'SUPPORT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
      ],
    },
    {
      id: null,
      type: 'DATA_PROVIDER' as NodeType,
      name: 'A data provider node title...',
      categoryList: [
        {
          id: null,
          type: 'AGENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'SD_TOOLING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'DATA_SERVICE' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
      ],
    },
    {
      id: null,
      type: 'CONSUMER' as NodeType,
      name: 'A consumer node title...',
      categoryList: [
        {
          id: null,
          type: 'AGENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
      ],
    },
    {
      id: null,
      type: 'INFRASTRUCTURE_PROVIDER' as NodeType,
      name: 'An infrastructure provider node title...',
      categoryList: [
        {
          id: null,
          type: 'AGENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'SD_TOOLING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'INFRASTRUCTURE_SERVICE' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
      ],
    },
  ],
  name: '4 Nodes Data Space',
  description: 'Lorem Ipsum...',
  tagList: ['Complete'],
  user: {
    username: '',
    email: '',
    name: '',
  },
  id: 0,
  status: DataSpaceStatus.RUNNING,
  debug: true,
};

// 5 NODES DATA SPACE
export const POST_DS_5nodes: DataSpaceModel = {
  nodeList: [
    {
      id: null,
      name: 'A governance node title...',
      type: 'GOVERNANCE' as NodeType,
      categoryList: [
        {
          id: null,
          type: 'AGENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'IAA_LOCAL' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'LOGGING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'CONSENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'MONITORING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'REPORTING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'CONTRACT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'DISCOVERY' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'IDP' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'VOCABULARY' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'REGISTRY' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'SUPPORT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
      ],
    },
    {
      id: null,
      type: 'DATA_PROVIDER' as NodeType,
      name: 'A data provider node title...',
      categoryList: [
        {
          id: null,
          type: 'AGENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'SD_TOOLING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'DATA_SERVICE' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
      ],
    },
    {
      id: null,
      type: 'CONSUMER' as NodeType,
      name: 'A consumer node title...',
      categoryList: [
        {
          id: null,
          type: 'AGENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
      ],
    },
    {
      id: null,
      type: 'APPLICATION_PROVIDER' as NodeType,
      name: 'An application provider node title...',
      categoryList: [
        {
          id: null,
          type: 'AGENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'SD_TOOLING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'APPLICATION_SERVICE' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
      ],
    },
    {
      id: null,
      type: 'INFRASTRUCTURE_PROVIDER' as NodeType,
      name: 'An infrastructure provider node title...',
      categoryList: [
        {
          id: null,
          type: 'AGENT' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'SD_TOOLING' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
        {
          id: null,
          type: 'INFRASTRUCTURE_SERVICE' as CategoryType,
          componentList: [
            {
              id: null,
              type: 'BE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
            {
              id: null,
              type: 'FE_COMPONENT' as ComponentType,
              param1: 'value1',
              param2: 'value2',
              param3: 'value3',
              param4: 'value4',
              param5: 'value5',
              param6: 'value6',
              customImage: null,
              customComponentId: null,
            },
          ],
        },
      ],
    },
  ],
  name: 'This is a Data Space with 5 Nodes',
  description: 'Lorem Ipsum...',
  tagList: ['Complete'],
  user: {
    username: '',
    email: '',
    name: '',
  },
  id: 0,
  status: DataSpaceStatus.RUNNING,
  debug: true,
};
